{"openapi":"3.1.0","info":{"title":"Curator API","version":"1.0.0"},"servers":[{"url":"/"}],"paths":{"/api/v1/me":{"get":{"operationId":"getCurrentUser","summary":"Get the current user profile and memberships","x-curator-principal":"user","x-curator-scope":"profile:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"capabilities":{"type":"array","items":{"type":"string","enum":["evaluator","requester"]}},"skills":{"type":"array","items":{"type":"string","enum":["image","audio","video","text","screen-recording"]}},"memberships":{"type":"array","items":{"type":"object","properties":{"organizationId":{"type":"string","minLength":1,"maxLength":100},"organizationName":{"type":"string","minLength":1},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]}},"required":["organizationId","organizationName","role"],"additionalProperties":false}}},"required":["id","name","capabilities","skills","memberships"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/me/stats":{"get":{"operationId":"getEvaluatorStats","summary":"Get the caller's own work record","x-curator-principal":"user","x-curator-scope":"profile:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"evaluatorId":{"type":"string","minLength":1,"maxLength":100},"submissionCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"judgedCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"agreedCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"goldJudgedCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"goldAgreedCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"accuracyBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"streakDays":{"type":"integer","minimum":0,"maximum":9007199254740991},"submittedToday":{"type":"integer","minimum":0,"maximum":9007199254740991},"badges":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1},"label":{"type":"string","minLength":1},"detail":{"type":"string","minLength":1},"earned":{"type":"boolean"},"progress":{"anyOf":[{"type":"object","properties":{"value":{"type":"integer","minimum":0,"maximum":9007199254740991},"target":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}},"required":["value","target"],"additionalProperties":false},{"type":"null"}]}},"required":["id","label","detail","earned","progress"],"additionalProperties":false}},"nextMilestone":{"anyOf":[{"type":"object","properties":{"tasks":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"credits":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"remaining":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}},"required":["tasks","credits","remaining"],"additionalProperties":false},{"type":"null"}]}},"required":["evaluatorId","submissionCount","judgedCount","agreedCount","goldJudgedCount","goldAgreedCount","accuracyBasisPoints","streakDays","submittedToday","badges","nextMilestone"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/me/onboarding":{"patch":{"operationId":"updateOnboarding","summary":"Complete or update onboarding","x-curator-principal":"user","x-curator-scope":"profile:write","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"capabilities":{"minItems":1,"maxItems":2,"type":"array","items":{"type":"string","enum":["evaluator","requester"]}},"skills":{"maxItems":4,"type":"array","items":{"type":"string","enum":["image","audio","video","text"]}}},"required":["capabilities","skills"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"capabilities":{"type":"array","items":{"type":"string","enum":["evaluator","requester"]}},"skills":{"type":"array","items":{"type":"string","enum":["image","audio","video","text","screen-recording"]}},"memberships":{"type":"array","items":{"type":"object","properties":{"organizationId":{"type":"string","minLength":1,"maxLength":100},"organizationName":{"type":"string","minLength":1},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]}},"required":["organizationId","organizationName","role"],"additionalProperties":false}}},"required":["id","name","capabilities","skills","memberships"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/me/learning":{"get":{"operationId":"getLearning","summary":"List learning progress and qualifications","x-curator-principal":"user","x-curator-scope":"learning:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"curriculumVersion":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"items":{"type":"array","items":{"type":"object","properties":{"lessonId":{"type":"string","minLength":1,"maxLength":100},"skill":{"type":"string","minLength":1},"steps":{"type":"array","items":{"type":"string","minLength":1}},"completedSteps":{"type":"array","items":{"type":"string","minLength":1}},"title":{"type":"string","minLength":1},"summary":{"type":"string","minLength":1},"rewardCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"status":{"type":"string","enum":["locked","available","completed"]},"attemptCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"bestScoreBasisPoints":{"anyOf":[{"type":"integer","minimum":0,"maximum":10000},{"type":"null"}]},"completedAt":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},{"type":"null"}]}},"required":["lessonId","skill","steps","completedSteps","title","summary","rewardCredits","status","attemptCount","bestScoreBasisPoints","completedAt"],"additionalProperties":false}},"qualifications":{"type":"array","items":{"type":"object","properties":{"skill":{"type":"string"},"curriculumVersion":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"scoreBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"unlockedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["skill","curriculumVersion","scoreBasisPoints","unlockedAt"],"additionalProperties":false}}},"required":["curriculumVersion","items","qualifications"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/me/api-keys":{"get":{"operationId":"listPersonalApiKeys","summary":"List personal API keys","x-curator-principal":"user","x-curator-scope":"personal-api-keys:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"limit","in":"query","required":true,"schema":{"default":50,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false}},"nextCursor":{"default":null,"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}},"post":{"operationId":"createPersonalApiKey","summary":"Create a personal API key","x-curator-principal":"user","x-curator-scope":"personal-api-keys:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":100},"scopes":{"minItems":1,"maxItems":23,"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"token":{"type":"string","pattern":"^curator_[0-9a-f]{32}_[0-9a-f]{64}$"}},"required":["name","scopes","token"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"key":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false},"idempotent":{"type":"boolean"}},"required":["key","idempotent"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/me/api-keys/{keyId}/rotate":{"post":{"operationId":"rotatePersonalApiKey","summary":"Atomically replace a personal API key","x-curator-principal":"user","x-curator-scope":"personal-api-keys:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"keyId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"token":{"type":"string","pattern":"^curator_[0-9a-f]{32}_[0-9a-f]{64}$"}},"required":["token"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"key":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false},"idempotent":{"type":"boolean"},"replacedKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["key","idempotent","replacedKeyId"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/me/api-keys/{keyId}/revoke":{"post":{"operationId":"revokePersonalApiKey","summary":"Revoke a personal API key","x-curator-principal":"user","x-curator-scope":"personal-api-keys:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"keyId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"key":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false},"idempotent":{"type":"boolean"}},"required":["key","idempotent"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/learning/{lessonId}/steps/{stepId}":{"post":{"operationId":"recordLessonStep","summary":"Record that a lesson step was read","x-curator-principal":"user","x-curator-scope":"learning:write","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"lessonId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"stepId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"lessonId":{"type":"string","minLength":1,"maxLength":100},"completedSteps":{"type":"array","items":{"type":"string","minLength":1}}},"required":["lessonId","completedSteps"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/lessons/{lessonId}/attempts":{"post":{"operationId":"submitLessonAttempt","summary":"Submit a lesson attempt","x-curator-principal":"user","x-curator-scope":"learning:write","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"lessonId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"answers":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"curriculumVersion":{"default":1,"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}},"required":["answers","curriculumVersion"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"lessonId":{"type":"string","minLength":1,"maxLength":100},"scoreBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"passed":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"results":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"boolean"}}},"required":["id","lessonId","scoreBasisPoints","passed","createdAt","results"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}":{"get":{"operationId":"getOrganization","summary":"Get an organization","x-curator-principal":"organization","x-curator-scope":"organizations:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"slug":{"type":"string","minLength":1},"plan":{"type":"string","enum":["demo","starter","team","enterprise"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","name","slug","plan","createdAt","updatedAt"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/invitations":{"get":{"operationId":"listOrganizationInvitations","summary":"List organization invitations","x-curator-principal":"organization","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"limit","in":"query","required":true,"schema":{"default":50,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"projectIds":{"type":"array","items":{"type":"string","minLength":1,"maxLength":100}},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","orgId","email","role","projectIds","expiresAt","createdAt","updatedAt"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}},"post":{"operationId":"createOrganizationInvitation","summary":"Invite an organization member","x-curator-principal":"organization","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"projectIds":{"default":[],"maxItems":100,"type":"array","items":{"type":"string","minLength":1,"maxLength":100}},"expiresInDays":{"default":7,"type":"integer","minimum":1,"maximum":30}},"required":["email","role","projectIds","expiresInDays"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"projectIds":{"type":"array","items":{"type":"string","minLength":1,"maxLength":100}},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"token":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"required":["id","orgId","email","role","projectIds","expiresAt","createdAt","updatedAt","token"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/invitations/accept":{"post":{"operationId":"acceptInvitation","summary":"Redeem an invitation token and join its organization","x-curator-principal":"user","x-curator-scope":"profile:write","security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"token":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"required":["token"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"orgId":{"type":"string","minLength":1,"maxLength":100},"membershipId":{"type":"string","minLength":1,"maxLength":100},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"idempotent":{"type":"boolean"}},"required":["orgId","membershipId","role","idempotent"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations":{"post":{"operationId":"createOrganization","summary":"Create an organization owned by the caller","x-curator-principal":"user","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"slug":{"type":"string","minLength":1,"maxLength":60,"pattern":"^[a-z0-9][a-z0-9-]*$"}},"required":["name","slug"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"slug":{"type":"string","minLength":1},"plan":{"type":"string","enum":["demo","starter","team","enterprise"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","name","slug","plan","createdAt","updatedAt"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/members":{"get":{"operationId":"listOrganizationMembers","summary":"List organization members","x-curator-principal":"organization","x-curator-scope":"organizations:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"limit","in":"query","required":true,"schema":{"default":50,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"status":{"type":"string","enum":["invited","active","suspended"]},"projectIds":{"type":"array","items":{"type":"string","minLength":1,"maxLength":100}},"user":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["id","name"],"additionalProperties":false},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","orgId","role","status","projectIds","user","createdAt","updatedAt"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/members/{membershipId}":{"patch":{"operationId":"updateOrganizationMember","summary":"Update an organization membership","x-curator-principal":"organization","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"membershipId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"status":{"type":"string","enum":["active","suspended"]},"projectIds":{"maxItems":100,"type":"array","items":{"type":"string","minLength":1,"maxLength":100}}},"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"role":{"type":"string","enum":["admin","editor","reviewer","viewer","external"]},"status":{"type":"string","enum":["invited","active","suspended"]},"projectIds":{"type":"array","items":{"type":"string","minLength":1,"maxLength":100}},"user":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["id","name"],"additionalProperties":false},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","orgId","role","status","projectIds","user","createdAt","updatedAt"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/api-keys":{"get":{"operationId":"listOrganizationApiKeys","summary":"List organization API keys","x-curator-principal":"user","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"limit","in":"query","required":true,"schema":{"default":50,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false}},"nextCursor":{"default":null,"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}},"post":{"operationId":"createOrganizationApiKey","summary":"Create an organization API key","x-curator-principal":"user","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":100},"scopes":{"minItems":1,"maxItems":23,"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"token":{"type":"string","pattern":"^curator_[0-9a-f]{32}_[0-9a-f]{64}$"}},"required":["name","scopes","token"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"key":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false},"idempotent":{"type":"boolean"}},"required":["key","idempotent"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/api-keys/{keyId}/rotate":{"post":{"operationId":"rotateOrganizationApiKey","summary":"Atomically replace an organization API key","x-curator-principal":"user","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"keyId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"idempotency-key","in":"header","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"token":{"type":"string","pattern":"^curator_[0-9a-f]{32}_[0-9a-f]{64}$"}},"required":["token"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"key":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false},"idempotent":{"type":"boolean"},"replacedKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["key","idempotent","replacedKeyId"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/api-keys/{keyId}/revoke":{"post":{"operationId":"revokeOrganizationApiKey","summary":"Revoke an organization API key","x-curator-principal":"user","x-curator-scope":"organizations:manage","security":[{"bearerAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"keyId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"key":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-f]{32}$"},"name":{"type":"string","minLength":1},"prefix":{"type":"string","pattern":"^curator_[0-9a-f]{32}$"},"owner":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"user"},"userId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","userId"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"organization"},"organizationId":{"type":"string","minLength":1,"maxLength":100}},"required":["type","organizationId"],"additionalProperties":false}]},"scopes":{"type":"array","items":{"type":"string","enum":["profile:read","profile:write","learning:read","learning:write","work:read","work:write","wallet:read","payouts:write","personal-api-keys:manage","organizations:read","organizations:manage","projects:read","projects:write","jobs:read","jobs:write","results:read","reviews:write","billing:read","billing:write","quality:read","quality:write","notifications:read","events:read"]}},"createdByUserId":{"type":"string","minLength":1,"maxLength":100},"status":{"type":"string","enum":["active","expired","revoked"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"expiresAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"revokedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"lastUsedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"useCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"rotatedFromKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"},"replacementKeyId":{"type":"string","pattern":"^[0-9a-f]{32}$"}},"required":["id","name","prefix","owner","scopes","createdByUserId","status","createdAt","updatedAt","useCount"],"additionalProperties":false},"idempotent":{"type":"boolean"}},"required":["key","idempotent"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/organizations/{orgId}/projects":{"get":{"operationId":"listOrganizationProjects","summary":"List organization projects","x-curator-principal":"organization","x-curator-scope":"projects:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"limit","in":"query","required":true,"schema":{"default":50,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"ownerId":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"description":{"type":"string"},"status":{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"completedWorkAccess":{"type":"string","enum":["hidden","view","edit"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"summary":{"type":"object","properties":{"jobCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"liveJobCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"taskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"completedTaskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"remainingTaskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"submissionCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"evaluatorCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"spentCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"budgetCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"progressBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"consensusBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"skills":{"type":"array","items":{"type":"string"}}},"required":["jobCount","liveJobCount","taskCount","completedTaskCount","remainingTaskCount","submissionCount","evaluatorCount","spentCredits","budgetCredits","progressBasisPoints","consensusBasisPoints","skills"],"additionalProperties":false}},"required":["id","orgId","ownerId","name","status","version","completedWorkAccess","createdAt","updatedAt","summary"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}},"post":{"operationId":"createOrganizationProject","summary":"Create a project","x-curator-principal":"organization","x-curator-scope":"projects:write","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"orgId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","maxLength":2000},"completedWorkAccess":{"type":"string","enum":["hidden","view","edit"]}},"required":["name"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"ownerId":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"description":{"type":"string"},"status":{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"completedWorkAccess":{"type":"string","enum":["hidden","view","edit"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","orgId","ownerId","name","status","version","completedWorkAccess","createdAt","updatedAt"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/projects/{projectId}":{"get":{"operationId":"getProject","summary":"Get a project","x-curator-principal":"organization","x-curator-scope":"projects:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"ownerId":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"description":{"type":"string"},"status":{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"completedWorkAccess":{"type":"string","enum":["hidden","view","edit"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"summary":{"type":"object","properties":{"jobCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"liveJobCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"taskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"completedTaskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"remainingTaskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"submissionCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"evaluatorCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"spentCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"budgetCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"progressBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"consensusBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"skills":{"type":"array","items":{"type":"string"}}},"required":["jobCount","liveJobCount","taskCount","completedTaskCount","remainingTaskCount","submissionCount","evaluatorCount","spentCredits","budgetCredits","progressBasisPoints","consensusBasisPoints","skills"],"additionalProperties":false}},"required":["id","orgId","ownerId","name","status","version","completedWorkAccess","createdAt","updatedAt","summary"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}},"patch":{"operationId":"updateProject","summary":"Update a versioned project","x-curator-principal":"organization","x-curator-scope":"projects:write","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"name":{"type":"string","minLength":1,"maxLength":200},"description":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}]},"status":{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},"completedWorkAccess":{"type":"string","enum":["hidden","view","edit"]}},"required":["version"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"ownerId":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"description":{"type":"string"},"status":{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"completedWorkAccess":{"type":"string","enum":["hidden","view","edit"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","orgId","ownerId","name","status","version","completedWorkAccess","createdAt","updatedAt"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/api/v1/projects/{projectId}/jobs":{"get":{"operationId":"listProjectJobs","summary":"List jobs in a project","x-curator-principal":"organization","x-curator-scope":"jobs:read","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":500}},{"name":"limit","in":"query","required":true,"schema":{"default":50,"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"projectId":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"instructions":{"type":"string"},"submitLabel":{"type":"string","minLength":1},"status":{"anyOf":[{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},{"type":"string","enum":["launching","launch-failed"]}]},"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"questions":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"boolean"},"yesIcon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"noIcon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"yesBadge":{},"noBadge":{},"yesLabel":{"type":"string","minLength":1,"maxLength":40},"noLabel":{"type":"string","minLength":1,"maxLength":40},"yesColor":{"type":"string","enum":["plum","lime","sky","coral"]},"noColor":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","prompt","required","type"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"single"},"options":{"minItems":2,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"multiple"},"options":{"minItems":2,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"rating"},"min":{"default":1,"type":"integer","minimum":0,"maximum":9},"max":{"default":5,"type":"integer","minimum":1,"maximum":10},"minLabel":{"type":"string","maxLength":80},"maxLabel":{"type":"string","maxLength":80}},"required":["id","prompt","required","type","min","max"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"text"},"placeholder":{"type":"string","maxLength":240},"maxLength":{"default":2000,"type":"integer","minimum":1,"maximum":10000}},"required":["id","prompt","required","type","maxLength"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"pairwise"},"options":{"type":"array","prefixItems":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}]}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"annotation"},"mediaKind":{"type":"string","enum":["image","audio","video"]},"issueTags":{"minItems":1,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","mediaKind","issueTags"],"additionalProperties":false}]}},"rewardCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"replication":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"budgetCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"requiredSkills":{"type":"array","items":{"type":"string"}},"enrollmentRequired":{"type":"boolean"},"consensusPolicy":{"type":"object","properties":{"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"questionId":{"type":"string","minLength":1,"maxLength":100},"minimumSubmissions":{"type":"integer","exclusiveMinimum":0,"maximum":100},"thresholdBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"settlement":{"type":"string","const":"after-minimum-submissions"}},"required":["version","questionId","minimumSubmissions","thresholdBasisPoints","settlement"],"additionalProperties":false},"taskCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"assignmentCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"submissionCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"skippedCount":{"type":"integer","minimum":0,"maximum":9007199254740991},"spentCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"launchedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"}},"required":["id","orgId","projectId","name","instructions","status","version","questions","rewardCredits","replication","budgetCredits","requiredSkills","enrollmentRequired","taskCount","assignmentCount","submissionCount","skippedCount","spentCredits","createdAt","updatedAt"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"],"additionalProperties":false}}}},"default":{"description":"Problem response","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}},"post":{"operationId":"createProjectJob","summary":"Create a draft job","x-curator-principal":"organization","x-curator-scope":"jobs:write","security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string","minLength":1,"maxLength":100}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"instructions":{"default":"","type":"string","maxLength":4000},"submitLabel":{"type":"string","minLength":1,"maxLength":40},"questions":{"minItems":1,"maxItems":50,"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"boolean"},"yesIcon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"noIcon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"yesBadge":{},"noBadge":{},"yesLabel":{"type":"string","minLength":1,"maxLength":40},"noLabel":{"type":"string","minLength":1,"maxLength":40},"yesColor":{"type":"string","enum":["plum","lime","sky","coral"]},"noColor":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","prompt","required","type"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"single"},"options":{"minItems":2,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"multiple"},"options":{"minItems":2,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"rating"},"min":{"default":1,"type":"integer","minimum":0,"maximum":9},"max":{"default":5,"type":"integer","minimum":1,"maximum":10},"minLabel":{"type":"string","maxLength":80},"maxLabel":{"type":"string","maxLength":80}},"required":["id","prompt","required","type","min","max"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"text"},"placeholder":{"type":"string","maxLength":240},"maxLength":{"default":2000,"type":"integer","minimum":1,"maximum":10000}},"required":["id","prompt","required","type","maxLength"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"pairwise"},"options":{"type":"array","prefixItems":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}]}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"annotation"},"mediaKind":{"type":"string","enum":["image","audio","video"]},"issueTags":{"minItems":1,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","mediaKind","issueTags"],"additionalProperties":false}]}},"rewardCredits":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"replication":{"type":"integer","minimum":1,"maximum":100},"budgetCredits":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"requiredSkills":{"maxItems":20,"type":"array","items":{"type":"string","minLength":1}},"enrollmentRequired":{"type":"boolean"},"consensusPolicy":{"type":"object","properties":{"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"questionId":{"type":"string","minLength":1,"maxLength":100},"minimumSubmissions":{"type":"integer","exclusiveMinimum":0,"maximum":100},"thresholdBasisPoints":{"type":"integer","minimum":0,"maximum":10000},"settlement":{"type":"string","const":"after-minimum-submissions"}},"required":["version","questionId","minimumSubmissions","thresholdBasisPoints","settlement"],"additionalProperties":false}},"required":["name","instructions","questions","rewardCredits","replication","budgetCredits","requiredSkills","enrollmentRequired"],"additionalProperties":false}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"orgId":{"type":"string","minLength":1,"maxLength":100},"projectId":{"type":"string","minLength":1,"maxLength":100},"name":{"type":"string","minLength":1},"instructions":{"type":"string"},"submitLabel":{"type":"string","minLength":1},"status":{"anyOf":[{"type":"string","enum":["draft","live","paused","wrapping-up","completed","archived"]},{"type":"string","enum":["launching","launch-failed"]}]},"version":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"questions":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"boolean"},"yesIcon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"noIcon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"yesBadge":{},"noBadge":{},"yesLabel":{"type":"string","minLength":1,"maxLength":40},"noLabel":{"type":"string","minLength":1,"maxLength":40},"yesColor":{"type":"string","enum":["plum","lime","sky","coral"]},"noColor":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","prompt","required","type"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"single"},"options":{"minItems":2,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"multiple"},"options":{"minItems":2,"maxItems":30,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string","enum":["a","b","check","cross","thumb-up","thumb-down","person","sparkles","star","heart","flag","alert","image","text","eye","ban"]},"badge":{},"color":{"type":"string","enum":["plum","lime","sky","coral"]}},"required":["id","label"],"additionalProperties":false}}},"required":["id","prompt","required","type","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"rating"},"min":{"default":1,"type":"integer","minimum":0,"maximum":9},"max":{"default":5,"type":"integer","minimum":1,"maximum":10},"minLabel":{"type":"string","maxLength":80},"maxLabel":{"type":"string","maxLength":80}},"required":["id","prompt","required","type","min","max"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"text"},"placeholder":{"type":"string","maxLength":240},"maxLength":{"default":2000,"type":"integer","minimum":1,"maximum":10000}},"required":["id","prompt","required","type","maxLength"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"prompt":{"type":"string","minLength":1,"maxLength":2000},"required":{"default":false,"type":"boolean"},"hint":{"type":"string","maxLength":1000},"type":{"type":"string","const":"pairwise"},"options":{"type":"array","prefixItems":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":100},"label":{"type":"string","minLength":1,"maxLength":240},"icon":{"type":"string
[...]
